Subject: Re: [PATCH iwl-next v9 6/6] igb: Add AF_XDP zero-copy Tx support

From: Kurt Kanzenbach <[email-masked]>
Date: Fri, 18 Oct 2024 12:45:34 +0200

On Fri Oct 18 2024, Maciej Fijalkowski wrote:
> On Fri, Oct 18, 2024 at 10:40:02AM +0200, Kurt Kanzenbach wrote:
>> From: Sriram Yagnaraman <[email-masked]>
>> 
>> Add support for AF_XDP zero-copy transmit path.
>> 
>> A new TX buffer type IGB_TYPE_XSK is introduced to indicate that the Tx
>> frame was allocated from the xsk buff pool, so igb_clean_tx_ring() and
>> igb_clean_tx_irq() can clean the buffers correctly based on type.
>> 
>> igb_xmit_zc() performs the actual packet transmit when AF_XDP zero-copy is
>> enabled. We share the TX ring between slow path, XDP and AF_XDP
>> zero-copy, so we use the netdev queue lock to ensure mutual exclusion.
>> 
>> Signed-off-by: Sriram Yagnaraman <[email-masked]>
>> [Kurt: Set olinfo_status in igb_xmit_zc() so that frames are transmitted,
>>        Use READ_ONCE() for xsk_pool and check Tx disabled and carrier in
>>        igb_xmit_zc(), Add FIXME for RS bit]
>> Signed-off-by: Kurt Kanzenbach <[email-masked]>
>> Reviewed-by: Maciej Fijalkowski <[email-masked]>
>
> I didn't give you my tag on this patch in previous revision, but from what
> I can see now it can stay here:)

At some point you did [1]. And I didn't remove it, because it felt like
only small changes like adding the FIXME and re-using the xsk pool
pointer were made.

> Finally, thanks!

Yay :). Thanks for your review and time spent.

[1] - https://lore.kernel.org/intel-wired-lan/ZsNzLvH38p%2FcWwI0@boxer/